{
	"schema": "https://iot-ap.ikonke.com/model/product_72.json",
	"productType": "floorHeating",
	"profile": {
		"heartbeat": "3000",
		"productCode": "71",
		"productName": "水地暖（菲凡系列）"
	},
	"services": [{
		"identifier": "set",
		"name": "set",
		"required": true,
		"callType": "async",
		"desc": "属性设置",
		"method": "thing.service.property.set",
		"inputData": [{
			"identifier": "Temperature",
			"name": "目标温度",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "16",
					"max": "30",
					"unit": "°C",
					"unitName": "摄氏度",
					"step": "1"
				}
			}
		}, {
			"identifier": "PowerSwitch",
			"name": "电源开关",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "ChildLockState",
			"name": "童锁",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "WorkMode",
			"name": "工作模式",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "自动",
					"1": "手动"
				}
			}
		}],
		"outputData": []
	}, {
		"identifier": "get",
		"name": "get",
		"required": true,
		"callType": "async",
		"desc": "属性获取",
		"method": "thing.service.property.get",
		"inputData": ["VerticalSwitch", "Temperature", "CurrentTemperature", "PowerSwitch", "ChildLockState", "WorkMode"],
		"outputData": [{
			"identifier": "Temperature",
			"name": "目标温度",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "16",
					"max": "30",
					"unit": "°C",
					"unitName": "摄氏度",
					"step": "1"
				}
			}
		}, {
			"identifier": "CurrentTemperature",
			"name": "当前温度",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "-30",
					"max": "50",
					"unit": "°C",
					"unitName": "摄氏度",
					"step": "1"
				}
			}
		}, {
			"identifier": "PowerSwitch",
			"name": "电源开关",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "ChildLockState",
			"name": "童锁",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "WorkMode",
			"name": "工作模式",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "自动",
					"1": "手动"
				}
			}
		}]
	}, {
		"identifier": "AddLocalTimerTask",
		"name": "set",
		"required": true,
		"callType": "async",
		"desc": "添加定时任务",
		"method": "thing.service.AddLocalTimerTask",
		"inputData": [{
			"identifier": "Timer",
			"name": "定时时间",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}, {
			"identifier": "Enable",
			"name": "启用",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "关",
					"1": "开"
				}
			}
		}, {
			"identifier": "IsValid",
			"name": "可执行",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "无效",
					"1": "有效"
				}
			}
		}, {
			"identifier": "Actions",
			"name": "动作",
			"dataType": {
				"type": "array",
				"specs": {
					"size": "128",
					"item": {
						"type": "struct",
						"specs": [{
							"identifier": "Set",
							"name": "设置",
							"dataType": {
								"type": "struct",
								"specs": [{
									"identifier": "PowerSwitch",
									"name": "电源开关",
									"dataType": {
										"type": "bool",
										"specs": {
											"0": "关闭",
											"1": "开启"
										}
									}
								}]
							}
						}]
					}
				}
			}
		}],
		"outputData": []
	}, {
		"identifier": "DeleteLocalTimerTask",
		"name": "set",
		"required": true,
		"callType": "async",
		"desc": "删除定时任务",
		"method": "thing.service.DeleteLocalTimerTask",
		"inputData": [],
		"outputData": []
	}, {
		"identifier": "GetLocalTimerTask",
		"name": "获取定时任务",
		"required": true,
		"callType": "async",
		"method": "thing.service.GetLocalTimerTask",
		"inputData": [],
		"outputData": [{
			"identifier": "LocalTimerTask",
			"name": "本地定时",
			"accessMode": "rw",
			"required": true,
			"dataType": {
				"type": "array",
				"specs": {
					"size": "128",
					"item": {
						"type": "struct",
						"specs": [{
							"identifier": "Timer",
							"name": "定时时间",
							"dataType": {
								"type": "text",
								"specs": {
									"length": "255"
								}
							}
						}, {
							"identifier": "Enable",
							"name": "启用",
							"dataType": {
								"type": "bool",
								"specs": {
									"0": "关",
									"1": "开"
								}
							}
						}, {
							"identifier": "IsValid",
							"name": "可执行",
							"dataType": {
								"type": "bool",
								"specs": {
									"0": "无效",
									"1": "有效"
								}
							}
						}]
					}
				}
			}
		}]
	}],
	"properties": [{
		"identifier": "PowerSwitch",
		"name": "电源开关",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "关闭",
				"1": "开启"
			}
		}
	}, {
		"identifier": "Temperature",
		"name": "目标温度",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "double",
			"specs": {
				"min": "16",
				"max": "30",
				"unit": "°C",
				"unitName": "摄氏度",
				"step": "1"
			}
		}
	}, {
		"identifier": "CurrentTemperature",
		"name": "当前温度",
		"accessMode": "r",
		"required": true,
		"dataType": {
			"type": "double",
			"specs": {
				"min": "-30",
				"max": "50",
				"unit": "°C",
				"unitName": "摄氏度",
				"step": "1"
			}
		}
	}, {
		"identifier": "ChildLockState",
		"name": "童锁",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "关闭",
				"1": "开启"
			}
		}
	}, {
		"identifier": "WorkMode",
		"name": "工作模式",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "自动",
				"1": "手动"
			}
		}
	}, {
		"identifier": "LocalTimerTask",
		"name": "本地定时",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "array",
			"specs": {
				"size": "128",
				"item": {
					"type": "struct",
					"specs": [{
						"identifier": "Timer",
						"name": "定时时间",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "Enable",
						"name": "启用",
						"dataType": {
							"type": "bool",
							"specs": {
								"0": "关",
								"1": "开"
							}
						}
					}, {
						"identifier": "IsValid",
						"name": "可执行",
						"dataType": {
							"type": "bool",
							"specs": {
								"0": "无效",
								"1": "有效"
							}
						}
					}]
				}
			}
		}
	}],
	"events": [{
		"identifier": "post",
		"name": "post",
		"type": "info",
		"required": true,
		"desc": "属性上报",
		"method": "thing.event.property.post",
		"outputData": [{
			"identifier": "Temperature",
			"name": "目标温度",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "16",
					"max": "30",
					"unit": "°C",
					"unitName": "摄氏度",
					"step": "1"
				}
			}
		}, {
			"identifier": "CurrentTemperature",
			"name": "当前温度",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "-30",
					"max": "50",
					"unit": "°C",
					"unitName": "摄氏度",
					"step": "1"
				}
			}
		}, {
			"identifier": "PowerSwitch",
			"name": "电源开关",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "ChildLockState",
			"name": "童锁",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "WorkMode",
			"name": "工作模式",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "自动",
					"1": "手动"
				}
			}
		}]
	}, {
		"identifier": "LocalTimerTaskInformationNotification",
		"name": "定时任务上报",
		"type": "info",
		"required": true,
		"method": "thing.event.LocalTimerTaskInformationNotification.post",
		"outputData": [{
			"identifier": "LocalTimerTask",
			"name": "本地定时",
			"accessMode": "rw",
			"required": true,
			"dataType": {
				"type": "array",
				"specs": {
					"size": "128",
					"item": {
						"type": "struct",
						"specs": [{
							"identifier": "Timer",
							"name": "定时时间",
							"dataType": {
								"type": "text",
								"specs": {
									"length": "255"
								}
							}
						}, {
							"identifier": "Enable",
							"name": "启用",
							"dataType": {
								"type": "bool",
								"specs": {
									"0": "关",
									"1": "开"
								}
							}
						}, {
							"identifier": "IsValid",
							"name": "可执行",
							"dataType": {
								"type": "bool",
								"specs": {
									"0": "无效",
									"1": "有效"
								}
							}
						}]
					}
				}
			}
		}]
	}, {
		"identifier": "LocalTimerTaskAddNotification",
		"name": "添加定时任务通知",
		"type": "info",
		"required": true,
		"method": "thing.event.LocalTimerTaskAddNotification.post",
		"outputData": []
	}, {
		"identifier": "LocalTimerTaskModifyNotification",
		"name": "修改定时任务通知",
		"type": "info",
		"required": true,
		"method": "thing.event.LocalTimerTaskModifyNotification.post",
		"outputData": []
	}, {
		"identifier": "LocalTimerTaskDeletedNotification",
		"name": "删除定时任务通知",
		"type": "info",
		"required": true,
		"method": "thing.event.LocalTimerTaskDeletedNotification.post",
		"outputData": []
	}]
}